kas_list(8)

NAME
kas list - Displays all entries in the Authentication Database

SYNOPSIS
kas list [-long] [-showadmin] [-showkey]
    [-admin_username <admin principal to use for authentication>]
    [-password_for_admin <admin password>] [-cell <cell name>]
    [-servers <explicit list of authentication servers>+]
    [-noauth] [-help]

kas ls [-l] [-showa] [-showk]
    [-a <admin principal to use for authentication>]
    [-p <admin password>] [-c <cell name>]
    [-se <explicit list of authentication servers>+] [-n] [-h]

DESCRIPTION
The kas list command either displays all entries from the Authentication Database by name, or displays the full database entry for a defined set of entries, as determined by the flag provided:

•   To display every entry in the Authentication Database in full, include the -long flag.

•   To display only those entries in full that have the ADMIN flag set, include the -showadmin flag.

•   To list only the name of each Authentication Database entry, omit both the -long and -showadmin flags.

By default, full entries include a checksum for the encryption key, rather than the actual octal digits that constitute the key. To display the octal digits, include the -showkey flag with the -long or -showadmin flag.

OPTIONS

-long
    Displays every Authentication Database entry in full. Provide this flag or the -showadmin flag, or omit both to display just the name of every database entry.

-showadmin
    Displays in full only the Authentication Database entries that have the ADMIN flag set. Provide this flag or the -long flag, or omit both to display just the name of every database entry.

-showkey
    Displays the octal digits that constitute the key in each full entry. Provide either the -long or -showadmin flag along with this one.

-admin_username <admin principal>
    Specifies the user identity under which to authenticate with the Authentication Server for execution of the command. For more details, see the kas(8) manpage.

-password_for_admin <admin password>
    Specifies the password of the command's issuer. If it is omitted (as recommended), the kas command interpreter prompts for it and does not echo it visibly. For more details, see the kas(8) manpage.

-cell <cell name>
    Names the cell in which to run the command. For more details, see the kas(8) manpage.

-servers <authentication servers>+
    Names each machine running an Authentication Server with which to establish a connection. For more details, see the kas(8) manpage.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. For more details, see the kas(8) manpage.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
If neither the -long or -showadmin flag is provided, the output lists the name of each entry in the Authentication Database on its own line.

If the -long flag is included, the output includes every Authentication Database entry in full. If the -showadmin flag is included, the output includes in full only the Authentication Database entries that have the ADMIN flag set. If the -showkey is provided along with either one, the output includes the octal digits that constitute the encryption key in each entry.

A full Authentication Database entry includes the same information displayed by the kas examine command; for details, see that command's reference page.

PRIVILEGE REQUIRED
The issuer must have the ADMIN flag set on his or her Authentication Database entry.

SEE ALSO
the kas(8) manpage, the kas_examine(8) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.